-- globals.lua
-- @author Gerard Purra Teixido <gerard.purra@gmail.com>

local Globals = {}

-- FACING DIRECTIONS
Globals.ENTITY_FACE_UP = 0
Globals.ENTITY_FACE_DOWN = 1
Globals.ENTITY_FACE_LEFT = 2
Globals.ENTITY_FACE_RIGHT = 3
--PLAYER
-- STATES
Globals.PLAYER_STATE_IDDLE = 0
Globals.PLAYER_STATE_WALK = 1
Globals.PLAYER_STATE_ATTACK = 2
Globals.PLAYER_STATE_REBOUND = 3
--ENEMIES
-- STATES
Globals.ENEMY_STATE_STANDBY = 0
Globals.ENEMY_STATE_ALERT = 1
-- SLUG
Globals.SLUG_ALERT = 300
Globals.SLUG_REACH = 400

--COLLIDERS
Globals.COLLIDER_DYNAMIC = 0
Globals.COLLIDER_KINEMATIC = 1
Globals.COLLIDER_STATIC = 2

--MASKS
Globals.MASK_ALL = 'all'
Globals.MASK_NOTHING = 'nothing'
Globals.MASK_PLAYER = 'player'
Globals.MASK_ENEMY = 'enemy'
Globals.MASK_BLOCK = 'block'
Globals.MASK_ITEM = 'item'
Globals.MASK_WEAPON = 'weapon'


return Globals
